Bug 1461160 - [abrt] okular: Object::getDict(): okular killed by signal 6
[abrt] okular: Object::getDict(): okular killed by signal 6
Status: NEW
Product: Fedora
Classification: Fedora
Component: okular (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:55dd7fa31d61a75515c89cc1e6d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 13:08 EDT by sedrubal
Modified: 2018-05-03 04:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (52.76 KB, text/plain)
2017-06-13 13:08 EDT, sedrubal
no flags Details
File: cgroup (289 bytes, text/plain)
2017-06-13 13:08 EDT, sedrubal
no flags Details
File: core_backtrace (23.12 KB, text/plain)
2017-06-13 13:08 EDT, sedrubal
no flags Details
File: cpuinfo (1.40 KB, text/plain)
2017-06-13 13:08 EDT, sedrubal
no flags Details
File: dso_list (24.12 KB, text/plain)
2017-06-13 13:08 EDT, sedrubal
no flags Details
File: environ (2.30 KB, text/plain)
2017-06-13 13:09 EDT, sedrubal
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-13 13:09 EDT, sedrubal
no flags Details
File: maps (120.47 KB, text/plain)
2017-06-13 13:09 EDT, sedrubal
no flags Details
File: open_fds (6.87 KB, text/plain)
2017-06-13 13:09 EDT, sedrubal
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-06-13 13:09 EDT, sedrubal
no flags Details
File: var_log_messages (2.22 KB, text/plain)
2017-06-13 13:09 EDT, sedrubal
no flags Details

  None (edit)
Description sedrubal 2017-06-13 13:08:42 EDT
Description of problem:
I edited the form in a PDF, saved and closed okular. Then it crashed.

Version-Release number of selected component:
okular-16.12.3-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/okular /tmp/messageviewer_NS8132
crash_function: Object::getDict
executable:     /usr/bin/okular
journald_cursor: s=0cc2b448ff7048fc9bc8de6af548f7c3;i=33a55;b=175e848c96724de0bf93b3844e8cec9a;m=122b56a36;t=551da4991a9d6;x=ba83b10ba4ad33b4
kernel:         4.11.4-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 Object::getDict at Object.h:218
 #3 FormFieldText::setContentCopy at Form.cc:1096
 #4 FormWidgetText::setContent at Form.cc:325
 #5 Poppler::FormFieldText::setText at poppler-form.cc:292
 #6 Okular::EditFormTextCommand::redo at /usr/src/debug/okular-16.12.3/core/documentcommands.cpp:376
 #7 QUndoStack::push at util/qundostack.cpp:585
 #8 Okular::Document::editFormText at /usr/src/debug/okular-16.12.3/core/document.cpp:3697
 #9 QtPrivate::FunctorCall<QtPrivate::IndexesList<0, 1, 2, 3, 4, 5>, QtPrivate::List<int, Okular::FormFieldText*, QString const&, int, int, int>, void, void (Okular::Document::*)(int, Okular::FormFieldText*, QString const&, int, int, int)>::call at /usr/include/qt5/QtCore/qobjectdefs_impl.h:141
 #10 QtPrivate::FunctionPointer<void (Okular::Document::*)(int, Okular::FormFieldText*, QString const&, int, int, int)>::call<QtPrivate::List<int, Okular::FormFieldText*, QString const&, int, int, int>, void> at /usr/include/qt5/QtCore/qobjectdefs_impl.h:160
 #11 QtPrivate::QSlotObject<void (Okular::Document::*)(int, Okular::FormFieldText*, QString const&, int, int, int), QtPrivate::List<int, Okular::FormFieldText*, QString const&, int, int, int>, void>::impl at /usr/include/qt5/QtCore/qobject_impl.h:120
Comment 1 sedrubal 2017-06-13 13:08:49 EDT
Created attachment 1287385 [details]
File: backtrace
Comment 2 sedrubal 2017-06-13 13:08:51 EDT
Created attachment 1287386 [details]
File: cgroup
Comment 3 sedrubal 2017-06-13 13:08:54 EDT
Created attachment 1287387 [details]
File: core_backtrace
Comment 4 sedrubal 2017-06-13 13:08:56 EDT
Created attachment 1287388 [details]
File: cpuinfo
Comment 5 sedrubal 2017-06-13 13:08:58 EDT
Created attachment 1287389 [details]
File: dso_list
Comment 6 sedrubal 2017-06-13 13:09:00 EDT
Created attachment 1287390 [details]
File: environ
Comment 7 sedrubal 2017-06-13 13:09:02 EDT
Created attachment 1287391 [details]
File: limits
Comment 8 sedrubal 2017-06-13 13:09:04 EDT
Created attachment 1287392 [details]
File: maps
Comment 9 sedrubal 2017-06-13 13:09:06 EDT
Created attachment 1287393 [details]
File: open_fds
Comment 10 sedrubal 2017-06-13 13:09:08 EDT
Created attachment 1287394 [details]
File: proc_pid_status
Comment 11 sedrubal 2017-06-13 13:09:10 EDT
Created attachment 1287395 [details]
File: var_log_messages
Comment 12 Konstantin Svist 2017-09-23 18:28:16 EDT
Similar problem has been detected:

closed okular

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        okular /home/kostya/Documents/House/HOA/Templates/Architectural Application_backup.pdf
crash_function: Object::getDict
executable:     /usr/bin/okular
journald_cursor: s=26b09c98121f4bd199a4c7cee854dbd8;i=51eab3;b=9fd382addbfa4cedb6c8936c1f7ed239;m=fe0f125327;t=559e2ba52dbb2;x=2b1539c800e4888c
kernel:         4.12.9-300.fc26.x86_64
package:        okular-16.12.3-1.fc26
reason:         okular killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 Fedora End Of Life 2018-05-03 04:15:15 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.